Skip to main content
Use these operations to interact with deploys in Cortex.

Required permissions

Edit entities: Your API key must have the Edit entities permission.

Operations

List deployments for entity

GET /api/v1/catalog/{tagOrId}/deploys

Add deployment for entity

POST /api/v1/catalog/{tagOrId}/deploys

Update deployment by UUID

PUT /api/v1/catalog/{tagOrId}/deploys/{uuid}

Delete all deployments for all entities

DELETE /api/v1/catalog/deploys/all

Delete deployments for entity

DELETE /api/v1/catalog/{tagOrId}/deploys

Delete deployment by UUID

DELETE /api/v1/catalog/{tagOrId}/deploys/{uuid}

Delete deploys by filter

DELETE /api/v1/catalog/deploys

List all distinct deploy environments for this tenant

GET /api/v1/deploys/environments

Search deployments across the tenant

GET /api/v1/deploys/search
Last modified on September 24, 2026